/*    LIMITAZIONE DELLA RESPONSABILITA'. 
  Il software  fornito "cos com'", senza garanzie di ogni sorta.               */
%macro grabpath;
%qsubstr(%sysget(SAS_EXECFILEPATH),1,%length(%sysget(SAS_EXECFILEPATH))-%length(%sysget(SAS_EXECFILEname)))
%mend grabpath;
%let path = %grabpath;
%let nomeFile =ISTAT_MFR_CIS_Microdata_2010_FILE_STRUCTURE_EXAMPLE.txt;
LIBNAME ISTAT "&path";
DATA ISTAT.CIS_2010;

INFILE "&path&nomeFile" DLM='5E'x  LRECL=6000 TRUNCOVER FIRSTOBS=2 IGNOREDOSEOF;
INPUT 
id :6.   /*  Name of the enterprise */
nuts :$2.   /*  Address */
nace :$5.   /*  Main economic activity */
GP :1.   /*  Enterprise part of a group */
HO :$1.   /*  Country of head office */
MARLOC :1.   /*  Local/regional market */
MARNAT :1.   /*  National l market */
MAREUR :1.   /*  Other EU/EFTA/CC market */
MAROTH :1.   /*  All other countries */
LARMAR :$1.   /*  Enterprise's largest market in terms of turnover between 2008 and 2010 */
INPDGD :1.   /*  Introduced onto the market a new or significantly improved good */
INPDSV :1.   /*  Introduced onto the market a new or significantly improved service */
INPDTG1 :1.   /*  Who developed these product innovations - Goods innovations: Your enterprise by itself */
INPDTG2 :1.   /*  Who developed these product innovations - Goods innovations: Your enterprise together with other enterprises or institutions */
INPDTG3 :1.   /*  Who developed these product innovations - Goods innovations: Your enterprise by adapting or modifying goods or services originally developed by other enterprises or institutions */
INPDTG4 :1.   /*  Who developed these product innovations - Goods innovations: Other enterprises or institutions */
INPDTS1 :1.   /*  Who developed these product innovations - Service innovations: Your enterprise by itself */
INPDTS2 :1.   /*  Who developed these product innovations - Service innovations: Your enterprise together with other enterprises or institutions */
INPDTS3 :1.   /*  Who developed these product innovations - Service innovations: Your enterprise by adapting or modifying goods or services originally developed by other enterprises or institutions */
INPDTS4 :1.   /*  Who developed these product innovations - Service innovations: Other enterprises or institutions */
NEWMKT :1.   /*  Did the enterprise introduce a product new to the market */
NEWFRM :1.   /*  Did the enterprise introduce a product new to the firm */
TURNMAR :4.2   /*  % of turnover in new or improved products that were new to the market */
TURNIN :4.2   /*  % of turnover in new or improved products that were new to the firm */
TURNUNG :4.2   /*  % of turnover in unchanged or marginally modified products */
INPDFC :1.   /*  Were any of your product innovations during the three years 2008 to 2010: A first in (your country) */
INPDFE :1.   /*  Were any of your product innovations during the three years 2008 to 2010: A first in Europe */
INPDFW :1.   /*  Were any of your product innovations during the three years 2008 to 2010: A world first */
INPSPD :1.   /*  Introduced onto the market a new or significantly improved method of production */
INPSLG :1.   /*  "Introduced onto the market a new or significantly improved logistic, delivery or distribution system" */
INPSSU :1.   /*  Introduced onto the market a new or significantly improved supporting activities */
INPSDV1 :1.   /*  Who developed these process innovations: Your enterprise by itself */
INPSDV2 :1.   /*  Who developed these process innovations: Your enterprise together with other enterprises or institutions */
INPSDV3 :1.   /*  Who developed these process innovations: Your enterprise by adapting or modifying processes originaly developed by other enterprises or institutions */
INPSDV4 :1.   /*  Who developed these process innovations: Other enterprises or institutions */
INPSNM :1.   /*  Process innovations new to enterprise's market */
INABA :1.   /*  Enterprise with abandoned innovation activities */
INONG :1.   /*  Enterprise with ongoing innovation activities */
RRDIN :1.   /*  Engagement in intramural R&D */
RDENG :1.   /*  Type of engagement in R&D */
RRDEX :1.   /*  Engagement in extramural R&D */
RMAC :1.   /*  Engagement in acquisition of machinery */
ROEK :1.   /*  Engagement in other external knowledge */
RTR :1.   /*  Engagement in training */
RMAR :1.   /*  Engagement in market introduction of innovation */
RDSG :1.   /*  Design */
RPRE :1.   /*  Engagement in other preparation */
rrdinx :11.   /*  Expenditure in intramural R&D */
rrdexx :11.   /*  Expenditure in extramural R&D */
rmacx :11.   /*  Expenditure in acquisition of machinery */
roekx :11.   /*  Expenditure in other external knowledge */
rdsgx :11.   /*  Expenditure in Design */
rprex :11.   /*  Expenditure in other preparation */
rtrx :11.   /*  Expenditure in training */
rmarx :11.   /*  Expenditure in market introduction of innovation */
rtot_ita :11.   /*  Total innovation expenditure */
funloc :1.   /*  Public funding from local or regional authorities */
fungmt :1.   /*  Public funding from central government */
funeu :1.   /*  Public funding from the EU */
funrtd :1.   /*  Funding from EU's 6th or 7th RTD */
SENTG :1.   /*  Sources from within the enterprise or enterprise group */
SSUP :1.   /*  "Sources from Suppliers of equipment, materials, etc." */
SCLI :1.   /*  Sources from Clients or customers */
SCOM :1.   /*  Sources from Competitors and other enterprises of same industry */
SINS :1.   /*  "Sources from consultants, commercial labs or private R&D institutes" */
SUNI :1.   /*  Sources from Universities or other higher education institutes */
SGMT :1.   /*  Sources from Government or public research institutes */
SCON :1.   /*  "Sources from professional conferences, trade fairs, meetings" */
SJOU :1.   /*  "Sources from Scientific journals, trade/scientific publications" */
SPRO :1.   /*  Sources from Professional and industry associations */
CO :1.   /*  Cooperation arrangements on innovation activities */
co11 :1.   /*  Other enterprises within enterprise group : National */
co12 :1.   /*  Other enterprises within enterprise group : EU/EFTA/EU-CC */
co13 :1.   /*  Other enterprises within enterprise group : US */
co14 :1.   /*  Other enterprises within enterprise group : India or China */
co15 :1.   /*  Other enterprises within enterprise group : Other countries */
co21 :1.   /*  """Suppliers of equipment, etc. : National""" */
co22 :1.   /*  """Suppliers of equipment, etc. : EU/EFTA/EU-CC""" */
co23 :1.   /*  """Suppliers of equipment, etc. : US""" */
co24 :1.   /*  """Suppliers of equipment, etc. : India or China""" */
co25 :1.   /*  """Suppliers of equipment, etc. : Other countries""" */
co31 :1.   /*  Clients or customers : National */
co32 :1.   /*  Clients or customers : EU/EFTA/EU-CC */
co33 :1.   /*  Clients or customers : US */
co34 :1.   /*  Clients or customers : India or China */
co35 :1.   /*  Clients or customers : Other countries */
co41 :1.   /*  Competitors or other firms  : National */
co42 :1.   /*  Competitors or other firms  : EU/EFTA/EU-CC */
co43 :1.   /*  Competitors or other firms  : US */
co44 :1.   /*  Competitors or other firms  : India or China */
co45 :1.   /*  Competitors or other firms  : Other countries */
co51 :1.   /*  """Consultants, commercial labs, private R&D institutes : National""" */
co52 :1.   /*  """Consultants, commercial labs, private R&D institutes : EU/EFTA/EU-CC""" */
co53 :1.   /*  """Consultants, commercial labs, private R&D institutes : US""" */
co54 :1.   /*  """Consultants, commercial labs, private R&D institutes : India or China""" */
co55 :1.   /*  """Consultants, commercial labs, private R&D institutes : Other countries""" */
co61 :1.   /*  Universities or other  : National */
co62 :1.   /*  Universities or other  : EU/EFTA/EU-CC */
co63 :1.   /*  Universities or other  : US */
co64 :1.   /*  Universities or other  : India or China */
co65 :1.   /*  Universities or other  : Other countries */
co71 :1.   /*  Government or public research institutes: National */
co72 :1.   /*  Government or public research institutes: EU/EFTA/EU-CC */
co73 :1.   /*  Government or public research institutes: US */
co74 :1.   /*  Government or public research institutes: India or China */
co75 :1.   /*  Government or public research institutes: Other countries */
PMOS :$1.   /*  Most important co-operation partner */
ORANGE :1.   /*  Increased range of goods or services */
OREPL :1.   /*  Replace outdated products or processes */
ONMOMS :1.   /*  Enter new markets or increase market share */
OQUA :1.   /*  Improve quality of goods or services */
OFLEX :1.   /*  Improve flexibility for producing goods or services */
OCAP :1.   /*  Increase capacity for producing goods or services */
OLBR :1.   /*  Reduce labour costs per unit output */
ORME :1.   /*  Reduce material and energy costs per unit output */
OREI :1.   /*  Reduce environmental impacts */
OHESY :1.   /*  Improve health or safety of your employees */
HFENT :1.   /*  Factors hampering innovation: Lack of funds within your enterprise or group */
HFOUT :1.   /*  Factors hampering innovation: Lack of finance from sources outside your enterprise */
HCOS :1.   /*  Factors hampering innovation: Innovation costs too high */
HPER :1.   /*  Factors hampering innovation: Lack of qualified personnel */
HTEC :1.   /*  Factors hampering innovation: Lack of information on technology */
HINF :1.   /*  Factors hampering innovation: Lack of information on markets */
HPAR :1.   /*  Factors hampering innovation: Difficulty in finding cooperation partners for innovation */
HDOM :1.   /*  Factors hampering innovation: Market dominated by established enterprises */
HDEM :1.   /*  Factors hampering innovation: Uncertain demand for innovative goods or services */
HPRIOR :1.   /*  Factors hampering innovation: No need due to prior innovations by your enterprise */
HMAR :1.   /*  Factors hampering innovation: No need because of no demand for innovations */
ORGBUP :1.   /*  New business practices for organising work or procedures */
ORGWKP :1.   /*  New methods of workplace organisation */
ORGEXR :1.   /*  New methods of organising external relations */
ORORED :1.   /*  Reduce time to respond to customer or supplier needs */
OROABL :1.   /*  Improve ability to develop new products or processes */
OROQUA :1.   /*  Improve quality of your goods or services */
ORORCO :1.   /*  Reduce costs per unit output */
OROCIN :1.   /*  Improved communication or information sharing */
MKTDGP :1.   /*  Significant changes to the aesthetic design or packaging */
MKTPDP :1.   /*  New media or techniques for product promotion */
MKTPDL :1.   /*  New methods for product placement or sales channels */
MKTPRI :1.   /*  New methods of pricing goods or services */
OMKTS :1.   /*  Increase or maintain market share */
OMKTCG :1.   /*  Introduce products to new customer groups */
OMKTGM :1.   /*  Introduce products to new geographic markets */
SGALA :1.   /*  Graphic art/layout/advertising */
SDOS :1.   /*  Design of objects or services */
SMED :1.   /*  "Multimedia (combining audio, graphics, text, still pictures, animation, video, etc.)" */
SWDS :1.   /*  Web design */
SSWD :1.   /*  Software development */
SMKR :1.   /*  market research */
SENAP :1.   /*  Engineering/applied sciences */
SMSDM :1.   /*  Mathematics/statistics/database management */
MBRST :1.   /*  Brainstorming session */
MMDCF :1.   /*  Multidisciplinary or cross-functional work teams */
MJBRT :1.   /*  Job rotation of staff to different departments or other parts of your enterprise group */
MFIN :1.   /*  Financial incentives for employees to develop new ideas */
MNFIN :1.   /*  "Non-financial incentives for employees to develop new ideas, such as free time, public recognition, more interesting work, etc." */
MTREM :1.   /*  Training employees on how to develop new ideas or creativity */
turn08 :11.   /*  Total turnover in 2008 */
turn10 :11.   /*  Total turnover in 2010 */
EMP08 :$6.   /*  Size class in 2008 */
EMP10 :$6.   /*  Size class in 2010 */
EMPUD :$1.   /*  % of employees in 2010 with a university degree */
weight :12.8   /*  Weighting factors */
;
LABEL 
id = "Name of the enterprise"
nuts = "Address"
nace = "Main economic activity"
GP = "Enterprise part of a group"
HO = "Country of head office"
MARLOC = "Local/regional market"
MARNAT = "National l market"
MAREUR = "Other EU/EFTA/CC market"
MAROTH = "All other countries"
LARMAR = "Enterprise's largest market in terms of turnover between 2008 and 2010"
INPDGD = "Introduced onto the market a new or significantly improved good"
INPDSV = "Introduced onto the market a new or significantly improved service"
INPDTG1 = "Who developed these product innovations - Goods innovations: Your enterprise by itself"
INPDTG2 = "Who developed these product innovations - Goods innovations: Your enterprise together with other enterprises or institutions"
INPDTG3 = "Who developed these product innovations - Goods innovations: Your enterprise by adapting or modifying goods or services originally developed by other enterprises or institutions"
INPDTG4 = "Who developed these product innovations - Goods innovations: Other enterprises or institutions"
INPDTS1 = "Who developed these product innovations - Service innovations: Your enterprise by itself"
INPDTS2 = "Who developed these product innovations - Service innovations: Your enterprise together with other enterprises or institutions"
INPDTS3 = "Who developed these product innovations - Service innovations: Your enterprise by adapting or modifying goods or services originally developed by other enterprises or institutions"
INPDTS4 = "Who developed these product innovations - Service innovations: Other enterprises or institutions"
NEWMKT = "Did the enterprise introduce a product new to the market"
NEWFRM = "Did the enterprise introduce a product new to the firm"
TURNMAR = "% of turnover in new or improved products that were new to the market"
TURNIN = "% of turnover in new or improved products that were new to the firm"
TURNUNG = "% of turnover in unchanged or marginally modified products"
INPDFC = "Were any of your product innovations during the three years 2008 to 2010: A first in (your country)"
INPDFE = "Were any of your product innovations during the three years 2008 to 2010: A first in Europe"
INPDFW = "Were any of your product innovations during the three years 2008 to 2010: A world first"
INPSPD = "Introduced onto the market a new or significantly improved method of production"
INPSLG = " Introduced onto the market a new or significantly improved logistic, delivery or distribution system "
INPSSU = "Introduced onto the market a new or significantly improved supporting activities"
INPSDV1 = "Who developed these process innovations: Your enterprise by itself"
INPSDV2 = "Who developed these process innovations: Your enterprise together with other enterprises or institutions"
INPSDV3 = "Who developed these process innovations: Your enterprise by adapting or modifying processes originaly developed by other enterprises or institutions"
INPSDV4 = "Who developed these process innovations: Other enterprises or institutions"
INPSNM = "Process innovations new to enterprise's market"
INABA = "Enterprise with abandoned innovation activities"
INONG = "Enterprise with ongoing innovation activities"
RRDIN = "Engagement in intramural R&D"
RDENG = "Type of engagement in R&D"
RRDEX = "Engagement in extramural R&D"
RMAC = "Engagement in acquisition of machinery"
ROEK = "Engagement in other external knowledge"
RTR = "Engagement in training"
RMAR = "Engagement in market introduction of innovation"
RDSG = "Design"
RPRE = "Engagement in other preparation"
rrdinx = "Expenditure in intramural R&D"
rrdexx = "Expenditure in extramural R&D"
rmacx = "Expenditure in acquisition of machinery"
roekx = "Expenditure in other external knowledge"
rdsgx = "Expenditure in Design"
rprex = "Expenditure in other preparation"
rtrx = "Expenditure in training"
rmarx = "Expenditure in market introduction of innovation"
rtot_ita = "Total innovation expenditure"
funloc = "Public funding from local or regional authorities"
fungmt = "Public funding from central government"
funeu = "Public funding from the EU"
funrtd = "Funding from EU's 6th or 7th RTD"
SENTG = "Sources from within the enterprise or enterprise group"
SSUP = " Sources from Suppliers of equipment, materials, etc. "
SCLI = "Sources from Clients or customers"
SCOM = "Sources from Competitors and other enterprises of same industry"
SINS = " Sources from consultants, commercial labs or private R&D institutes "
SUNI = "Sources from Universities or other higher education institutes"
SGMT = "Sources from Government or public research institutes"
SCON = " Sources from professional conferences, trade fairs, meetings "
SJOU = " Sources from Scientific journals, trade/scientific publications "
SPRO = "Sources from Professional and industry associations"
CO = "Cooperation arrangements on innovation activities"
co11 = "Other enterprises within enterprise group : National"
co12 = "Other enterprises within enterprise group : EU/EFTA/EU-CC"
co13 = "Other enterprises within enterprise group : US"
co14 = "Other enterprises within enterprise group : India or China"
co15 = "Other enterprises within enterprise group : Other countries"
co21 = "   Suppliers of equipment, etc. : National   "
co22 = "   Suppliers of equipment, etc. : EU/EFTA/EU-CC   "
co23 = "   Suppliers of equipment, etc. : US   "
co24 = "   Suppliers of equipment, etc. : India or China   "
co25 = "   Suppliers of equipment, etc. : Other countries   "
co31 = "Clients or customers : National"
co32 = "Clients or customers : EU/EFTA/EU-CC"
co33 = "Clients or customers : US"
co34 = "Clients or customers : India or China"
co35 = "Clients or customers : Other countries"
co41 = "Competitors or other firms  : National"
co42 = "Competitors or other firms  : EU/EFTA/EU-CC"
co43 = "Competitors or other firms  : US"
co44 = "Competitors or other firms  : India or China"
co45 = "Competitors or other firms  : Other countries"
co51 = "   Consultants, commercial labs, private R&D institutes : National   "
co52 = "   Consultants, commercial labs, private R&D institutes : EU/EFTA/EU-CC   "
co53 = "   Consultants, commercial labs, private R&D institutes : US   "
co54 = "   Consultants, commercial labs, private R&D institutes : India or China   "
co55 = "   Consultants, commercial labs, private R&D institutes : Other countries   "
co61 = "Universities or other  : National"
co62 = "Universities or other  : EU/EFTA/EU-CC"
co63 = "Universities or other  : US"
co64 = "Universities or other  : India or China"
co65 = "Universities or other  : Other countries"
co71 = "Government or public research institutes: National"
co72 = "Government or public research institutes: EU/EFTA/EU-CC"
co73 = "Government or public research institutes: US"
co74 = "Government or public research institutes: India or China"
co75 = "Government or public research institutes: Other countries"
PMOS = "Most important co-operation partner"
ORANGE = "Increased range of goods or services"
OREPL = "Replace outdated products or processes"
ONMOMS = "Enter new markets or increase market share"
OQUA = "Improve quality of goods or services"
OFLEX = "Improve flexibility for producing goods or services"
OCAP = "Increase capacity for producing goods or services"
OLBR = "Reduce labour costs per unit output"
ORME = "Reduce material and energy costs per unit output"
OREI = "Reduce environmental impacts"
OHESY = "Improve health or safety of your employees"
HFENT = "Factors hampering innovation: Lack of funds within your enterprise or group"
HFOUT = "Factors hampering innovation: Lack of finance from sources outside your enterprise"
HCOS = "Factors hampering innovation: Innovation costs too high"
HPER = "Factors hampering innovation: Lack of qualified personnel"
HTEC = "Factors hampering innovation: Lack of information on technology"
HINF = "Factors hampering innovation: Lack of information on markets"
HPAR = "Factors hampering innovation: Difficulty in finding cooperation partners for innovation"
HDOM = "Factors hampering innovation: Market dominated by established enterprises"
HDEM = "Factors hampering innovation: Uncertain demand for innovative goods or services"
HPRIOR = "Factors hampering innovation: No need due to prior innovations by your enterprise"
HMAR = "Factors hampering innovation: No need because of no demand for innovations"
ORGBUP = "New business practices for organising work or procedures"
ORGWKP = "New methods of workplace organisation"
ORGEXR = "New methods of organising external relations"
ORORED = "Reduce time to respond to customer or supplier needs"
OROABL = "Improve ability to develop new products or processes"
OROQUA = "Improve quality of your goods or services"
ORORCO = "Reduce costs per unit output"
OROCIN = "Improved communication or information sharing"
MKTDGP = "Significant changes to the aesthetic design or packaging"
MKTPDP = "New media or techniques for product promotion"
MKTPDL = "New methods for product placement or sales channels"
MKTPRI = "New methods of pricing goods or services"
OMKTS = "Increase or maintain market share"
OMKTCG = "Introduce products to new customer groups"
OMKTGM = "Introduce products to new geographic markets"
SGALA = "Graphic art/layout/advertising"
SDOS = "Design of objects or services"
SMED = " Multimedia (combining audio, graphics, text, still pictures, animation, video, etc.) "
SWDS = "Web design"
SSWD = "Software development"
SMKR = "market research"
SENAP = "Engineering/applied sciences"
SMSDM = "Mathematics/statistics/database management"
MBRST = "Brainstorming session"
MMDCF = "Multidisciplinary or cross-functional work teams"
MJBRT = "Job rotation of staff to different departments or other parts of your enterprise group"
MFIN = "Financial incentives for employees to develop new ideas"
MNFIN = " Non-financial incentives for employees to develop new ideas, such as free time, public recognition, more interesting work, etc. "
MTREM = "Training employees on how to develop new ideas or creativity"
turn08 = "Total turnover in 2008"
turn10 = "Total turnover in 2010"
EMP08 = "Size class in 2008"
EMP10 = "Size class in 2010"
EMPUD = "% of employees in 2010 with a university degree"
weight = "Weighting factors"
;
RUN;
PROC FORMAT;
VALUE $nut1F /* nuts */
"IT" = "Italy"
;
VALUE $nac2F /* nace */
"B" = "MINING AND QUARRYING"
"10" = "Manufacture of food products"
"11" = "Manufacture of beverages"
"13" = "Manufacture of textiles"
"14" = "Manufacture of wearing apparel"
"15" = "Manufacture of leather and related products"
"16" = "Manufacture of wood and of products of wood and cork, except furniture; manufacture of articles of straw and plaiting materials"
"17" = "Manufacture of paper and paper products"
"18" = "Printing and reproduction of recorded media"
"19" = "Manufacture of coke and refined petroleum products"
"20" = "Manufacture of chemicals and chemical products"
"21" = "Manufacture of basic pharmaceutical products and pharmaceutical preparations"
"22" = "Manufacture of rubber and plastic products"
"23" = "Manufacture of other non-metallic mineral products"
"24" = "Manufacture of basic metals"
"25" = "Manufacture of fabricated metal products, except machinery and equipment"
"26" = "Manufacture of computer, electronic and optical products"
"27" = "Manufacture of electrical equipment"
"28" = "Manufacture of machinery and equipment n.e.c."
"29" = "Manufacture of motor vehicles, trailers and semi-trailers"
"30" = "Manufacture of other transport equipment"
"31" = "Manufacture of furniture"
"32" = "Other manufacturing"
"33" = "Repair and installation of machinery and equipment"
"35" = "Electricity, gas, steam and air conditioning supply"
"36" = "Water collection, treatment and supply"
"37" = "Sewerage"
"41" = "Construction of buildings"
"42" = "Civil engineering"
"43" = "Specialised construction activities"
"45" = "Wholesale and retail trade and repair of motor vehicles and motorcycles"
"46" = "Wholesale trade, except of motor vehicles and motorcycles"
"47" = "Retail trade, except of motor vehicles and motorcycles"
"49" = "Land transport and transport via pipelines"
"50" = "Water transport"
"51" = "Air transport"
"52" = "Warehousing and support activities for transportation"
"53" = "Postal and courier activities"
"58" = "Publishing activities"
"61" = "Telecommunications"
"62" = "Computer programming, consultancy and related activities"
"63" = "Information service activities"
"64" = "Financial service activities, except insurance and pension funding"
"65" = "Insurance, reinsurance and pension funding, except compulsory social security"
"66" = "Activities auxiliary to financial services and insurance activities"
"70" = "Activities of head offices; management consultancy activities"
"71" = "Architectural and engineering activities; technical testing and analysis"
"72" = "Scientific research and development"
"73" = "Advertising and marketing research"
"74" = "Other professional, scientific and technical activities"
"38-39" = "Waste collection, treatment and disposal activities; materials recovery; Remediation activities and other waste management services"
;
VALUE GP3F /* GP */
.= "missing or non applicable"
0= "No"
1= "Yes"
;
VALUE $HO4F /* HO */
"." = "Not applicable"
"Z" = "Missing"
"1" = "Italy"
"2" = "Europe + Candidate Countries + EFTA countries"
"3" = "Rest of the world"
"ZZ" = "Missing"
;
VALUE MAR5F /* MARLOC */
.= "missing or non applicable"
0= "No"
1= "Yes"
;
VALUE MAR6F /* MARNAT */
VALUE MAR7F /* MAREUR */
VALUE MAR8F /* MAROTH */
VALUE $LAR9F /* LARMAR */
"." = "missing or not applicable"
"A" = "Local / regional within [your country]"
"B" = "National (other regions of [your country])"
"C" = "Other European Union (EU), EFTA, or EU candidate countries"
"D" = "All other countries"
;
VALUE INP10F /* INPDGD */
.= "missing or non applicable"
0= "No"
1= "Yes"
;
VALUE INP11F /* INPDSV */
VALUE INP12F /* INPDTG1 */
VALUE INP13F /* INPDTG2 */
VALUE INP14F /* INPDTG3 */
VALUE INP15F /* INPDTG4 */
VALUE INP16F /* INPDTS1 */
.= "missing or non applicable"
0= "No"
1= "Yes"
;
VALUE INP17F /* INPDTS2 */
VALUE INP18F /* INPDTS3 */
VALUE INP19F /* INPDTS4 */
VALUE NEW20F /* NEWMKT */
VALUE NEW21F /* NEWFRM */
VALUE INP25F /* INPDFC */
.= "missing or non applicable"
0= "No"
1= "Yes"
2= "Don't know"
;
VALUE INP26F /* INPDFE */
VALUE INP27F /* INPDFW */
VALUE INP28F /* INPSPD */
.= "missing or non applicable"
0= "No"
1= "Yes"
;
VALUE INP29F /* INPSLG */
VALUE INP30F /* INPSSU */
VALUE INP31F /* INPSDV1 */
VALUE INP32F /* INPSDV2 */
VALUE INP33F /* INPSDV3 */
VALUE INP34F /* INPSDV4 */
VALUE INP35F /* INPSNM */
VALUE INA36F /* INABA */
.= "missing or non applicable"
0= "No"
1= "Yes"
;
VALUE INO37F /* INONG */
VALUE RRD38F /* RRDIN */
VALUE RDE39F /* RDENG */
.= "missing"
1= "continuously"
2= "occasionally"
;
VALUE RRD40F /* RRDEX */
VALUE RMA41F /* RMAC */
VALUE ROE42F /* ROEK */
VALUE RTR43F /* RTR */
VALUE RMA44F /* RMAR */
VALUE RDS45F /* RDSG */
VALUE RPR46F /* RPRE */
VALUE fun56F /* funloc */
.= "missing or non applicable"
0= "No"
1= "Yes"
;
VALUE fun57F /* fungmt */
VALUE fun58F /* funeu */
VALUE fun59F /* funrtd */
VALUE SEN60F /* SENTG */
.= "missing or non applicable"
0= "Not used"
1= "Low"
2= "Medium"
3= "High"
;
VALUE SSU61F /* SSUP */
VALUE SCL62F /* SCLI */
VALUE SCO63F /* SCOM */
VALUE SIN64F /* SINS */
VALUE SUN65F /* SUNI */
VALUE SGM66F /* SGMT */
VALUE SCO67F /* SCON */
VALUE SJO68F /* SJOU */
VALUE SPR69F /* SPRO */
VALUE CO70F /* CO */
VALUE co171F /* co11 */
VALUE co172F /* co12 */
VALUE co173F /* co13 */
VALUE co174F /* co14 */
VALUE co175F /* co15 */
VALUE co276F /* co21 */
VALUE co277F /* co22 */
VALUE co278F /* co23 */
VALUE co279F /* co24 */
VALUE co280F /* co25 */
VALUE co381F /* co31 */
VALUE co382F /* co32 */
VALUE co383F /* co33 */
VALUE co384F /* co34 */
VALUE co385F /* co35 */
VALUE co486F /* co41 */
VALUE co487F /* co42 */
VALUE co488F /* co43 */
VALUE co489F /* co44 */
VALUE co490F /* co45 */
VALUE co591F /* co51 */
VALUE co592F /* co52 */
VALUE co593F /* co53 */
VALUE co594F /* co54 */
VALUE co595F /* co55 */
VALUE co696F /* co61 */
VALUE co697F /* co62 */
VALUE co698F /* co63 */
VALUE co699F /* co64 */
VALUE co6100F /* co65 */
VALUE co7101F /* co71 */
VALUE co7102F /* co72 */
VALUE co7103F /* co73 */
VALUE co7104F /* co74 */
VALUE co7105F /* co75 */
VALUE $PMO106F /* PMOS */
"." = "missing or not applicable"
"A" = "Other enterprises within enterprise group"
"B" = "Suppliers of equipment, etc"
"C" = "Clients or customers"
"D" = "Competitors or other firms"
"E" = "Consultants, commercial labs, private R&D institutes"
"F" = "Universities"
"G" = "Government or public research institutes"
;
VALUE ORA107F /* ORANGE */
.= "missing or non applicable"
0= "Not relevant"
1= "Low"
2= "Medium"
3= "High"
;
VALUE ORE108F /* OREPL */
VALUE ONM109F /* ONMOMS */
VALUE OQU110F /* OQUA */
VALUE OFL111F /* OFLEX */
VALUE OCA112F /* OCAP */
VALUE OLB113F /* OLBR */
VALUE ORM114F /* ORME */
VALUE ORE115F /* OREI */
VALUE OHE116F /* OHESY */
VALUE HFE117F /* HFENT */
.= "missing or non applicable"
0= "Not experienced"
1= "Low"
2= "Medium"
3= "High"
;
VALUE HFO118F /* HFOUT */
VALUE HCO119F /* HCOS */
VALUE HPE120F /* HPER */
VALUE HTE121F /* HTEC */
VALUE HIN122F /* HINF */
VALUE HPA123F /* HPAR */
VALUE HDO124F /* HDOM */
VALUE HDE125F /* HDEM */
VALUE HPR126F /* HPRIOR */
VALUE HMA127F /* HMAR */
VALUE ORG128F /* ORGBUP */
.= "missing or non applicable"
0= "No"
1= "Yes"
;
VALUE ORG129F /* ORGWKP */
VALUE ORG130F /* ORGEXR */
VALUE ORO131F /* ORORED */
.= "missing or non applicable"
0= "Not relevant"
1= "Low"
2= "Medium"
3= "High"
;
VALUE ORO132F /* OROABL */
VALUE ORO133F /* OROQUA */
VALUE ORO134F /* ORORCO */
VALUE ORO135F /* OROCIN */
VALUE MKT136F /* MKTDGP */
VALUE MKT137F /* MKTPDP */
VALUE MKT138F /* MKTPDL */
VALUE MKT139F /* MKTPRI */
VALUE OMK140F /* OMKTS */
.= "missing or non applicable"
0= "Not relevant"
1= "Low"
2= "Medium"
3= "High"
;
VALUE OMK141F /* OMKTCG */
VALUE OMK142F /* OMKTGM */
VALUE SGA143F /* SGALA */
.= "missing"
0= "Skills not used / not relevant"
1= "Employed in-house"
2= "Obtained from external sources"
3= "Employed in-house AND Obtained from external sources"
;
VALUE SDO144F /* SDOS */
VALUE SME145F /* SMED */
VALUE SWD146F /* SWDS */
VALUE SSW147F /* SSWD */
VALUE SMK148F /* SMKR */
VALUE SEN149F /* SENAP */
VALUE SMS150F /* SMSDM */
VALUE MBR151F /* MBRST */
.= "missing"
0= "Method not used"
1= "Successful"
2= "Not successful"
3= "Dont know if successful"
;
VALUE MMD152F /* MMDCF */
VALUE MJB153F /* MJBRT */
VALUE MFI154F /* MFIN */
VALUE MNF155F /* MNFIN */
VALUE MTR156F /* MTREM */
VALUE $EMP159F /* EMP08 */
"ALL" = "Totale (solo per NACE 37)"
"<=10" = "Meno di 10 addetti"
"250+" = "250 addetti e oltre"
"10-49" = "10-49 addetti"
"50-249" = "50-249 addetti"
;
VALUE $EMP160F /* EMP10 */
VALUE $EMP161F /* EMPUD */
"0" = "0%"
"1" = "1-4%"
"2" = "5-9%"
"3" = "10-24%"
"4" = "25-49%"
"5" = "50-74%"
"6" = "75% to 100%"
;
format nuts $nut1F.;
format nace $nac2F.;
format GP GP3F.;
format HO $HO4F.;
format MARLOC MAR5F.;
format MARNAT MAR6F.;
format MAREUR MAR7F.;
format MAROTH MAR8F.;
format LARMAR $LAR9F.;
format INPDGD INP10F.;
format INPDSV INP11F.;
format INPDTG1 INP12F.;
format INPDTG2 INP13F.;
format INPDTG3 INP14F.;
format INPDTG4 INP15F.;
format INPDTS1 INP16F.;
format INPDTS2 INP17F.;
format INPDTS3 INP18F.;
format INPDTS4 INP19F.;
format NEWMKT NEW20F.;
format NEWFRM NEW21F.;
format INPDFC INP25F.;
format INPDFE INP26F.;
format INPDFW INP27F.;
format INPSPD INP28F.;
format INPSLG INP29F.;
format INPSSU INP30F.;
format INPSDV1 INP31F.;
format INPSDV2 INP32F.;
format INPSDV3 INP33F.;
format INPSDV4 INP34F.;
format INPSNM INP35F.;
format INABA INA36F.;
format INONG INO37F.;
format RRDIN RRD38F.;
format RDENG RDE39F.;
format RRDEX RRD40F.;
format RMAC RMA41F.;
format ROEK ROE42F.;
format RTR RTR43F.;
format RMAR RMA44F.;
format RDSG RDS45F.;
format RPRE RPR46F.;
format funloc fun56F.;
format fungmt fun57F.;
format funeu fun58F.;
format funrtd fun59F.;
format SENTG SEN60F.;
format SSUP SSU61F.;
format SCLI SCL62F.;
format SCOM SCO63F.;
format SINS SIN64F.;
format SUNI SUN65F.;
format SGMT SGM66F.;
format SCON SCO67F.;
format SJOU SJO68F.;
format SPRO SPR69F.;
format CO CO70F.;
format co11 co171F.;
format co12 co172F.;
format co13 co173F.;
format co14 co174F.;
format co15 co175F.;
format co21 co276F.;
format co22 co277F.;
format co23 co278F.;
format co24 co279F.;
format co25 co280F.;
format co31 co381F.;
format co32 co382F.;
format co33 co383F.;
format co34 co384F.;
format co35 co385F.;
format co41 co486F.;
format co42 co487F.;
format co43 co488F.;
format co44 co489F.;
format co45 co490F.;
format co51 co591F.;
format co52 co592F.;
format co53 co593F.;
format co54 co594F.;
format co55 co595F.;
format co61 co696F.;
format co62 co697F.;
format co63 co698F.;
format co64 co699F.;
format co65 co6100F.;
format co71 co7101F.;
format co72 co7102F.;
format co73 co7103F.;
format co74 co7104F.;
format co75 co7105F.;
format PMOS $PMO106F.;
format ORANGE ORA107F.;
format OREPL ORE108F.;
format ONMOMS ONM109F.;
format OQUA OQU110F.;
format OFLEX OFL111F.;
format OCAP OCA112F.;
format OLBR OLB113F.;
format ORME ORM114F.;
format OREI ORE115F.;
format OHESY OHE116F.;
format HFENT HFE117F.;
format HFOUT HFO118F.;
format HCOS HCO119F.;
format HPER HPE120F.;
format HTEC HTE121F.;
format HINF HIN122F.;
format HPAR HPA123F.;
format HDOM HDO124F.;
format HDEM HDE125F.;
format HPRIOR HPR126F.;
format HMAR HMA127F.;
format ORGBUP ORG128F.;
format ORGWKP ORG129F.;
format ORGEXR ORG130F.;
format ORORED ORO131F.;
format OROABL ORO132F.;
format OROQUA ORO133F.;
format ORORCO ORO134F.;
format OROCIN ORO135F.;
format MKTDGP MKT136F.;
format MKTPDP MKT137F.;
format MKTPDL MKT138F.;
format MKTPRI MKT139F.;
format OMKTS OMK140F.;
format OMKTCG OMK141F.;
format OMKTGM OMK142F.;
format SGALA SGA143F.;
format SDOS SDO144F.;
format SMED SME145F.;
format SWDS SWD146F.;
format SSWD SSW147F.;
format SMKR SMK148F.;
format SENAP SEN149F.;
format SMSDM SMS150F.;
format MBRST MBR151F.;
format MMDCF MMD152F.;
format MJBRT MJB153F.;
format MFIN MFI154F.;
format MNFIN MNF155F.;
format MTREM MTR156F.;
format EMP08 $EMP159F.;
format EMP10 $EMP160F.;
format EMPUD $EMP161F.;
RUN;
